Package fr.gouv.vitam.common.storage.constants

# Enum Class StorageMessage

java.lang.Object
java.lang.Enum<StorageMessage>
fr.gouv.vitam.common.storage.constants.StorageMessage

All Implemented Interfaces:
  `Serializable`, `Comparable<StorageMessage>`, `Constable`

public enum StorageMessage extends Enum<StorageMessage>
Display logged messages from workspace

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEGINNING_GET_LIST_OF_DIGITAL_OBJECT`
  Beginning of getting List of Digital Object
  `BEGINNING_GET_URI_LIST_OF_DIGITAL_OBJECT`
  Beginning of getting Uri List of Digital Object
  `BEGINNING_GET_URI_LIST_OF_FOLDER`
  Beginning of getting Uri List of folders
  `ENDING_GET_LIST_OF_DIGITAL_OBJECT`
  Ending of getting List of Digital Object
  `ENDING_GET_URI_LIST_OF_DIGITAL_OBJECT`
  Ending of getting Uri List of Digital Object
  `ENDING_GET_URI_LIST_OF_FOLDER`
  Ending of getting Uri List of folders
  `URI_LIST_OF_DIGITAL_OBJECT_EMPTY`
  Uri list of digital objects empty

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  getter for attribute message
  `static StorageMessage`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StorageMessage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEGINNING_GET_LIST_OF_DIGITAL_OBJECT

    public static final StorageMessage BEGINNING_GET_LIST_OF_DIGITAL_OBJECT
    Beginning of getting List of Digital Object

  - ### BEGINNING_GET_URI_LIST_OF_DIGITAL_OBJECT

    public static final StorageMessage BEGINNING_GET_URI_LIST_OF_DIGITAL_OBJECT
    Beginning of getting Uri List of Digital Object

  - ### BEGINNING_GET_URI_LIST_OF_FOLDER

    public static final StorageMessage BEGINNING_GET_URI_LIST_OF_FOLDER
    Beginning of getting Uri List of folders

  - ### ENDING_GET_LIST_OF_DIGITAL_OBJECT

    public static final StorageMessage ENDING_GET_LIST_OF_DIGITAL_OBJECT
    Ending of getting List of Digital Object

  - ### ENDING_GET_URI_LIST_OF_DIGITAL_OBJECT

    public static final StorageMessage ENDING_GET_URI_LIST_OF_DIGITAL_OBJECT
    Ending of getting Uri List of Digital Object

  - ### ENDING_GET_URI_LIST_OF_FOLDER

    public static final StorageMessage ENDING_GET_URI_LIST_OF_FOLDER
    Ending of getting Uri List of folders

  - ### URI_LIST_OF_DIGITAL_OBJECT_EMPTY

    public static final StorageMessage URI_LIST_OF_DIGITAL_OBJECT_EMPTY
    Uri list of digital objects empty

- ## Method Details

  - ### values

    public static StorageMessage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StorageMessage valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMessage

    public String getMessage()
    getter for attribute message
    Returns:
      message